package turbowin;


import java.text.DecimalFormat;
import javax.swing.JOptionPane;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author hometrainer
 */
final public class calculator extends javax.swing.JFrame {

   /**
    * Creates new form calculator
    */
   public calculator() {
      initComponents();
      initComponents2();
      setLocation(main.x_pos_calculator_frame, main.y_pos_calculator_frame);
   }

   /**
    * This method is called from within the constructor to initialize the form. WARNING: Do NOT modify this code. The
    * content of this method is always regenerated by the Form Editor.
    */
   @SuppressWarnings("unchecked")
   // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
   private void initComponents() {

      jScrollPane1 = new javax.swing.JScrollPane();
      jTextArea1 = new javax.swing.JTextArea();
      jSeparator1 = new javax.swing.JSeparator();
      jPanel1 = new javax.swing.JPanel();
      jTextField1 = new javax.swing.JTextField();
      jTextField2 = new javax.swing.JTextField();
      jTextField3 = new javax.swing.JTextField();
      jTextField4 = new javax.swing.JTextField();
      jLabel1 = new javax.swing.JLabel();
      jLabel2 = new javax.swing.JLabel();
      jLabel3 = new javax.swing.JLabel();
      jLabel4 = new javax.swing.JLabel();
      jPanel2 = new javax.swing.JPanel();
      jTextField5 = new javax.swing.JTextField();
      jTextField6 = new javax.swing.JTextField();
      jTextField7 = new javax.swing.JTextField();
      jTextField8 = new javax.swing.JTextField();
      jLabel5 = new javax.swing.JLabel();
      jLabel6 = new javax.swing.JLabel();
      jLabel7 = new javax.swing.JLabel();
      jLabel8 = new javax.swing.JLabel();
      jPanel3 = new javax.swing.JPanel();
      jTextField9 = new javax.swing.JTextField();
      jTextField10 = new javax.swing.JTextField();
      jTextField11 = new javax.swing.JTextField();
      jTextField12 = new javax.swing.JTextField();
      jLabel9 = new javax.swing.JLabel();
      jLabel10 = new javax.swing.JLabel();
      jLabel11 = new javax.swing.JLabel();
      jLabel12 = new javax.swing.JLabel();
      jPanel4 = new javax.swing.JPanel();
      jTextField13 = new javax.swing.JTextField();
      jTextField14 = new javax.swing.JTextField();
      jTextField15 = new javax.swing.JTextField();
      jTextField16 = new javax.swing.JTextField();
      jLabel13 = new javax.swing.JLabel();
      jLabel14 = new javax.swing.JLabel();
      jLabel15 = new javax.swing.JLabel();
      jLabel16 = new javax.swing.JLabel();
      jButton2 = new javax.swing.JButton();
      jButton1 = new javax.swing.JButton();

      jTextArea1.setColumns(20);
      jTextArea1.setRows(5);
      jScrollPane1.setViewportView(jTextArea1);

      setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
      setTitle("Calculator");
      setResizable(false);

      jPanel1.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

      jTextField1.addKeyListener(new java.awt.event.KeyAdapter() {
         public void keyPressed(java.awt.event.KeyEvent evt) {
            feet_input_keyPressed(evt);
         }
      });

      jTextField2.setEditable(false);

      jTextField3.addKeyListener(new java.awt.event.KeyAdapter() {
         public void keyPressed(java.awt.event.KeyEvent evt) {
            metres_input_keyPressed(evt);
         }
      });

      jTextField4.setEditable(false);

      jLabel1.setText("feet");

      jLabel2.setText("metres");

      jLabel3.setText("metres");

      jLabel4.setText("feet");

      javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
      jPanel1.setLayout(jPanel1Layout);
      jPanel1Layout.setHorizontalGroup(
         jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel1Layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(jLabel3)
               .addComponent(jLabel1))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
               .addComponent(jTextField3, javax.swing.GroupLayout.DEFAULT_SIZE, 60, Short.MAX_VALUE)
               .addComponent(jTextField1))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
               .addGroup(jPanel1Layout.createSequentialGroup()
                  .addComponent(jLabel2)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE))
               .addGroup(jPanel1Layout.createSequentialGroup()
                  .addComponent(jLabel4)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addComponent(jTextField4, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE)))
            .addContainerGap())
      );
      jPanel1Layout.setVerticalGroup(
         jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel1Layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jLabel1)
               .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel2)
               .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jLabel3)
               .addComponent(jTextField3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel4)
               .addComponent(jTextField4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addContainerGap())
      );

      jPanel2.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

      jTextField5.addKeyListener(new java.awt.event.KeyAdapter() {
         public void keyPressed(java.awt.event.KeyEvent evt) {
            Fahrenheit_input_keyPressed(evt);
         }
      });

      jTextField6.setEditable(false);

      jTextField7.addKeyListener(new java.awt.event.KeyAdapter() {
         public void keyPressed(java.awt.event.KeyEvent evt) {
            Celcius_input_keyPressed(evt);
         }
      });

      jTextField8.setEditable(false);

      jLabel5.setText("F");

      jLabel6.setText("C");

      jLabel7.setText("C");

      jLabel8.setText("F");

      javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
      jPanel2.setLayout(jPanel2Layout);
      jPanel2Layout.setHorizontalGroup(
         jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel2Layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
               .addGroup(jPanel2Layout.createSequentialGroup()
                  .addComponent(jLabel7, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                  .addComponent(jTextField7, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE))
               .addGroup(jPanel2Layout.createSequentialGroup()
                  .addComponent(jLabel5, javax.swing.GroupLayout.PREFERRED_SIZE, 34, javax.swing.GroupLayout.PREFERRED_SIZE)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                  .addComponent(jTextField5, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE)))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
               .addGroup(jPanel2Layout.createSequentialGroup()
                  .addComponent(jLabel6)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addComponent(jTextField6, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE))
               .addGroup(jPanel2Layout.createSequentialGroup()
                  .addComponent(jLabel8)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addComponent(jTextField8, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE)))
            .addContainerGap())
      );
      jPanel2Layout.setVerticalGroup(
         jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel2Layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                  .addComponent(jTextField5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                  .addComponent(jLabel5))
               .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                  .addComponent(jLabel6)
                  .addComponent(jTextField6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jTextField7, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jTextField8, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel7)
               .addComponent(jLabel8))
            .addContainerGap())
      );

      jPanel3.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

      jTextField9.addKeyListener(new java.awt.event.KeyAdapter() {
         public void keyPressed(java.awt.event.KeyEvent evt) {
            MPH_input_keyPressed(evt);
         }
      });

      jTextField10.setEditable(false);

      jTextField11.addKeyListener(new java.awt.event.KeyAdapter() {
         public void keyPressed(java.awt.event.KeyEvent evt) {
            knots_input_keyPressed(evt);
         }
      });

      jTextField12.setEditable(false);

      jLabel9.setText("MPH");

      jLabel10.setText("knots");

      jLabel11.setText("knots");

      jLabel12.setText("MPH");

      javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
      jPanel3.setLayout(jPanel3Layout);
      jPanel3Layout.setHorizontalGroup(
         jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel3Layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(jLabel9, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel11, javax.swing.GroupLayout.PREFERRED_SIZE, 37, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
               .addComponent(jTextField9, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jTextField11, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 88, Short.MAX_VALUE)
            .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel3Layout.createSequentialGroup()
                  .addComponent(jLabel10)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addComponent(jTextField10, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE))
               .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel3Layout.createSequentialGroup()
                  .addComponent(jLabel12)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addComponent(jTextField12, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE)))
            .addContainerGap())
      );
      jPanel3Layout.setVerticalGroup(
         jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel3Layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jTextField9, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jTextField10, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel9)
               .addComponent(jLabel10))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jTextField11, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jTextField12, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel11)
               .addComponent(jLabel12))
            .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
      );

      jPanel4.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));

      jTextField13.addKeyListener(new java.awt.event.KeyAdapter() {
         public void keyPressed(java.awt.event.KeyEvent evt) {
            inHg_input_keyPressed(evt);
         }
      });

      jTextField14.setEditable(false);

      jTextField15.addKeyListener(new java.awt.event.KeyAdapter() {
         public void keyPressed(java.awt.event.KeyEvent evt) {
            hPa_input_keyPressed(evt);
         }
      });

      jTextField16.setEditable(false);

      jLabel13.setText("inHg");

      jLabel14.setText("hPa");

      jLabel15.setText("hPa");

      jLabel16.setText("inHg");

      javax.swing.GroupLayout jPanel4Layout = new javax.swing.GroupLayout(jPanel4);
      jPanel4.setLayout(jPanel4Layout);
      jPanel4Layout.setHorizontalGroup(
         jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel4Layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(jLabel13, javax.swing.GroupLayout.PREFERRED_SIZE, 38, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel15, javax.swing.GroupLayout.PREFERRED_SIZE, 32, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(jTextField13, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jTextField15, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel4Layout.createSequentialGroup()
                  .addComponent(jLabel14)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addComponent(jTextField14, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE))
               .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel4Layout.createSequentialGroup()
                  .addComponent(jLabel16)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addComponent(jTextField16, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE)))
            .addContainerGap())
      );
      jPanel4Layout.setVerticalGroup(
         jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel4Layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jTextField13, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jTextField14, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel13)
               .addComponent(jLabel14))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jTextField15, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jTextField16, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel15)
               .addComponent(jLabel16))
            .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
      );

      jButton2.setText("Cancel");
      jButton2.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Cancel_button_actionPerformed(evt);
         }
      });

      jButton1.setText("Calculate");
      jButton1.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Calculate_button_actionPerformed(evt);
         }
      });

      javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
      getContentPane().setLayout(layout);
      layout.setHorizontalGroup(
         layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(layout.createSequentialGroup()
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                  .addContainerGap()
                  .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                     .addComponent(jSeparator1)
                     .addComponent(jPanel1, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jPanel2, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jPanel3, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jPanel4, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
               .addGroup(layout.createSequentialGroup()
                  .addGap(80, 80, 80)
                  .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 90, javax.swing.GroupLayout.PREFERRED_SIZE)
                  .addGap(18, 18, 18)
                  .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 90, javax.swing.GroupLayout.PREFERRED_SIZE)
                  .addGap(0, 0, Short.MAX_VALUE)))
            .addContainerGap())
      );
      layout.setVerticalGroup(
         layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(layout.createSequentialGroup()
            .addGap(25, 25, 25)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jPanel3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jPanel4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 50, Short.MAX_VALUE)
            .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(15, 15, 15)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addGap(15, 15, 15))
      );

      pack();
   }// </editor-fold>//GEN-END:initComponents

   
   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void initComponents2()
   {
      // nb ook in design form kan je dit zetten maar dan blijft dit staan als APPLICATION_NAME veranderd is
      setTitle("Calculator " + main.APPLICATION_NAME);
      
      jTextField1.setText("");
      jTextField2.setText("");
      
   }

   
   
   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void Calculate_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Calculate_button_actionPerformed
      // TODO add your handling code here:
      
      
      DecimalFormat df = new DecimalFormat("0.0");           // rounding only 1 decimal
      
      
      
      //
      // feet to metres
      //
      string_feet = jTextField1.getText().trim(); 
      
      if (string_feet.length() > 0)
      {
         try 
         {
            double_feet = Double.parseDouble(string_feet);
            double_metres = double_feet * FEET_TO_METRES;
            string_metres = df.format(double_metres);      
            jTextField2.setText(string_metres.replace(",", "."));  // if necessary rplace "," by "." (e.g. if country is Netherlands see Windows settings
         }
         catch (NumberFormatException e)
         {
            JOptionPane.showMessageDialog(null, "feet invalid input", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
         }
      } // if (string_feet.length() > 0)
      
      
      //
      // metres to feet
      //
      string_metres_2 = jTextField3.getText().trim(); 
      if (string_metres_2.length() > 0)
      {
         try 
         {
            double_metres_2 = Double.parseDouble(string_metres_2);
            double_feet_2 = double_metres_2 * METRES_TO_FEET;
            string_feet_2 = df.format(double_feet_2);      
            jTextField4.setText(string_feet_2.replace(",", "."));  // if necessary rplace "," by "." (e.g. if country is Netherlands see Windows settings
         }
         catch (NumberFormatException e)
         {
            JOptionPane.showMessageDialog(null, "metres invalid input", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
         }
      } // if (string_feet.length() > 0)
      
      
      //
      // Fahrenheit to Celcius
      //
      string_fahrenheit = jTextField5.getText().trim(); 
      if (string_fahrenheit.length() > 0)
      {
         try 
         {
            double_fahrenheit = Double.parseDouble(string_fahrenheit);
            double_celcius = (double_fahrenheit - 32.0) / 1.8;
            string_celcius = df.format(double_celcius);      
            jTextField6.setText(string_celcius.replace(",", "."));  // if necessary rplace "," by "." (e.g. if country is Netherlands see Windows settings
         }
         catch (NumberFormatException e)
         {
            JOptionPane.showMessageDialog(null, "Fahrenheit invalid input", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
         }
      } // if (string_feet.length() > 0)
      
      
      //
      // Celcius to Fahrenheit
      //
      string_celcius_2 = jTextField7.getText().trim(); 
      if (string_celcius_2.length() > 0)
      {
         try 
         {
            double_celcius_2 = Double.parseDouble(string_celcius_2);
            double_fahrenheit_2 = (double_celcius_2 * 1.8) + 32.0;
            string_fahrenheit_2 = df.format(double_fahrenheit_2);      
            jTextField8.setText(string_fahrenheit_2.replace(",", "."));  // if necessary rplace "," by "." (e.g. if country is Netherlands see Windows settings
         }
         catch (NumberFormatException e)
         {
            JOptionPane.showMessageDialog(null, "Celcius invalid input", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
         }
      } // if (string_feet.length() > 0)
       
      
      //
      // MPH to knots
      //
      string_mph = jTextField9.getText().trim(); 
      if (string_mph.length() > 0)
      {
         try 
         {
            double_mph = Double.parseDouble(string_mph);
            double_knots = double_mph * MPH_TO_KNOTS;
            string_knots = df.format(double_knots);      
            jTextField10.setText(string_knots.replace(",", "."));  // if necessary rplace "," by "." (e.g. if country is Netherlands see Windows settings
         }
         catch (NumberFormatException e)
         {
            JOptionPane.showMessageDialog(null, "MPH invalid input", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
         }
      } // if (string_feet.length() > 0)
     
      
      //
      // knots to MPH
      //
      string_knots_2 = jTextField11.getText().trim(); 
      if (string_knots_2.length() > 0)
      {
         try 
         {
            double_knots_2 = Double.parseDouble(string_knots_2);
            double_mph_2 = double_knots_2 * KNOTS_TO_MPH;
            string_mph_2 = df.format(double_mph_2);      
            jTextField12.setText(string_mph_2.replace(",", "."));  // if necessary rplace "," by "." (e.g. if country is Netherlands see Windows settings
         }
         catch (NumberFormatException e)
         {
            JOptionPane.showMessageDialog(null, "knots invalid input", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
         }
      } // if (string_feet.length() > 0)
        
      
      //
      // inHg to hPa
      //
      string_inhg = jTextField13.getText().trim(); 
      if (string_inhg.length() > 0)
      {
         try 
         {
            double_inhg = Double.parseDouble(string_inhg);
            double_hpa = double_inhg * INHG_TO_HPA;
            string_hpa = df.format(double_hpa);      
            jTextField14.setText(string_hpa.replace(",", "."));  // if necessary rplace "," by "." (e.g. if country is Netherlands see Windows settings
         }
         catch (NumberFormatException e)
         {
            JOptionPane.showMessageDialog(null, "inHg invalid input", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
         }
      } // if (string_inhg.length() > 0)
       
      
      //
      // hPa to inHg
      //
      string_hpa_2 = jTextField15.getText().trim(); 
      if (string_hpa_2.length() > 0)
      {
         try 
         {
            double_hpa_2 = Double.parseDouble(string_hpa_2);
            double_inhg_2 = double_hpa_2 * HPA_TO_INHG;
            string_inhg_2 = df.format(double_inhg_2);      
            jTextField16.setText(string_inhg_2.replace(",", "."));  // if necessary rplace "," by "." (e.g. if country is Netherlands see Windows settings
         }
         catch (NumberFormatException e)
         {
            JOptionPane.showMessageDialog(null, "hPa invalid input", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
         }
      } // if (string_inhg.length() > 0)
      
      
      
   }//GEN-LAST:event_Calculate_button_actionPerformed

   
   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void Cancel_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Cancel_button_actionPerformed
      // TODO add your handling code here:
      
      setVisible(false);
      dispose();
   }//GEN-LAST:event_Cancel_button_actionPerformed

   
   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void feet_input_keyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_feet_input_keyPressed
      // TODO add your handling code here:
      jTextField2.setText("");
   }//GEN-LAST:event_feet_input_keyPressed

   private void metres_input_keyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_metres_input_keyPressed
      // TODO add your handling code here:
      jTextField4.setText("");
   }//GEN-LAST:event_metres_input_keyPressed

   private void Fahrenheit_input_keyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_Fahrenheit_input_keyPressed
      // TODO add your handling code here:
      jTextField6.setText("");
   }//GEN-LAST:event_Fahrenheit_input_keyPressed

   private void Celcius_input_keyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_Celcius_input_keyPressed
      // TODO add your handling code here:
      jTextField8.setText("");
   }//GEN-LAST:event_Celcius_input_keyPressed

   private void MPH_input_keyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_MPH_input_keyPressed
      // TODO add your handling code here:
      jTextField10.setText("");
   }//GEN-LAST:event_MPH_input_keyPressed

   private void knots_input_keyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_knots_input_keyPressed
      // TODO add your handling code here:
      jTextField12.setText("");
   }//GEN-LAST:event_knots_input_keyPressed

   private void inHg_input_keyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_inHg_input_keyPressed
      // TODO add your handling code here:
      jTextField14.setText("");
   }//GEN-LAST:event_inHg_input_keyPressed

   private void hPa_input_keyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_hPa_input_keyPressed
      // TODO add your handling code here:
      jTextField16.setText("");
   }//GEN-LAST:event_hPa_input_keyPressed

   
   /**
    * @param args the command line arguments
    */
   public static void main(String args[]) {
      /* Set the Nimbus look and feel */
      //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
       * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
       */
      try {
         for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
            if ("Nimbus".equals(info.getName())) {
               javax.swing.UIManager.setLookAndFeel(info.getClassName());
               break;
            }
         }
      } catch (ClassNotFoundException ex) {
         java.util.logging.Logger.getLogger(calculator.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
      } catch (InstantiationException ex) {
         java.util.logging.Logger.getLogger(calculator.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
      } catch (IllegalAccessException ex) {
         java.util.logging.Logger.getLogger(calculator.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
      } catch (javax.swing.UnsupportedLookAndFeelException ex) {
         java.util.logging.Logger.getLogger(calculator.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
      }
      //</editor-fold>

      /* Create and display the form */
      java.awt.EventQueue.invokeLater(new Runnable() {
         @Override
         public void run() {
            new calculator().setVisible(true);
         }
      });
   }
   // Variables declaration - do not modify//GEN-BEGIN:variables
   private javax.swing.JButton jButton1;
   private javax.swing.JButton jButton2;
   private javax.swing.JLabel jLabel1;
   private javax.swing.JLabel jLabel10;
   private javax.swing.JLabel jLabel11;
   private javax.swing.JLabel jLabel12;
   private javax.swing.JLabel jLabel13;
   private javax.swing.JLabel jLabel14;
   private javax.swing.JLabel jLabel15;
   private javax.swing.JLabel jLabel16;
   private javax.swing.JLabel jLabel2;
   private javax.swing.JLabel jLabel3;
   private javax.swing.JLabel jLabel4;
   private javax.swing.JLabel jLabel5;
   private javax.swing.JLabel jLabel6;
   private javax.swing.JLabel jLabel7;
   private javax.swing.JLabel jLabel8;
   private javax.swing.JLabel jLabel9;
   private javax.swing.JPanel jPanel1;
   private javax.swing.JPanel jPanel2;
   private javax.swing.JPanel jPanel3;
   private javax.swing.JPanel jPanel4;
   private javax.swing.JScrollPane jScrollPane1;
   private javax.swing.JSeparator jSeparator1;
   private javax.swing.JTextArea jTextArea1;
   private javax.swing.JTextField jTextField1;
   private javax.swing.JTextField jTextField10;
   private javax.swing.JTextField jTextField11;
   private javax.swing.JTextField jTextField12;
   private javax.swing.JTextField jTextField13;
   private javax.swing.JTextField jTextField14;
   private javax.swing.JTextField jTextField15;
   private javax.swing.JTextField jTextField16;
   private javax.swing.JTextField jTextField2;
   private javax.swing.JTextField jTextField3;
   private javax.swing.JTextField jTextField4;
   private javax.swing.JTextField jTextField5;
   private javax.swing.JTextField jTextField6;
   private javax.swing.JTextField jTextField7;
   private javax.swing.JTextField jTextField8;
   private javax.swing.JTextField jTextField9;
   // End of variables declaration//GEN-END:variables

   private final double FEET_TO_METRES = 0.3048;
   private final double METRES_TO_FEET = 3.2808399;
   private final double KNOTS_TO_MPH   = 1.15077945;
   private final double MPH_TO_KNOTS   = 0.868976242;        
   private final double INHG_TO_HPA    = 33.8638816;   //33.86;          // inHg   // wiki: 1 inHg = 3386.389 Pa at 0 C.
   private final double HPA_TO_INHG    = 0.02952998751;//0.0295299830714;
   // C = (F - 32) / 1.8
   // F =  C  1.8 + 32
   
   private String string_feet;
   private String string_metres;
   private Double double_feet;
   private Double double_metres;
   private String string_feet_2;
   private String string_metres_2;
   private Double double_feet_2;
   private Double double_metres_2;

   private String string_fahrenheit;
   private String string_celcius;
   private Double double_fahrenheit;
   private Double double_celcius;
   private String string_fahrenheit_2;
   private String string_celcius_2;
   private Double double_fahrenheit_2;
   private Double double_celcius_2;
   
   private String string_mph;
   private String string_knots;
   private Double double_mph;
   private Double double_knots;
   private String string_mph_2;
   private String string_knots_2;
   private Double double_mph_2;
   private Double double_knots_2;
   
   private String string_inhg;
   private String string_hpa;
   private Double double_inhg;
   private Double double_hpa;
   private String string_inhg_2;
   private String string_hpa_2;
   private Double double_inhg_2;
   private Double double_hpa_2;
   
   
}
